#!/bin/bash -e

agentcnt="${1:-4}"
aglist="$(seq 1 $agentcnt|tr '\n' ,)"
aglist=${aglist%%,}

cat \
	| sed 's:True:(p \\/ ~p):g' \
	| sed 's:False:(p /\\ ~p):g' \
	| sed 's:\&:/\\:g' \
	| sed 's:=>:->:g' \
	| sed 's:|:\\/:g' \
	| sed 's:\[{[ ]*:~<<:g' \
	| sed 's:[ ]*}\]:>>X ~:g' \
	| sed 's:<{[ ]*:<<:g' \
	| sed 's:[ ]*}>:>>X :g' \
	| sed -e :a -e 's:<<\([^ >]*\) [ ]*:<<\1,:g;ta' \
	| sed 's,^,(,' \
	| sed 's:$:) /\\ <<'"$aglist"'>>X(p \\/ ~p):'


#     Top     -> tatlFm $ Dis p (Neg p)
#     Bot     -> tatlFm $ Con p (Neg p)
#     Pro q   -> BS.lazyByteString q
#     Neg a   -> c '~' <> tatlFm a
#     Con a b -> mconcat [c '(', tatlFm a, s " /\\ ", tatlFm b, c ')']
#     Dis a b -> mconcat [c '(', tatlFm a, s " \\/ ", tatlFm b, c ')']
#     Imp a b -> mconcat [c '(', tatlFm a, s " -> ",  tatlFm b, c ')']
#     Dia g a -> s "<<" <> (mconcat $ intersperse (c ',') $ map i g) <> s ">>X" <> tatlFm a
#     Box g a -> tatlFm (Neg $ Dia g $ Neg a)

